footer {
    border-top: 1px solid #f1f1f1;
    box-shadow: 0px -2px 3px #f1f1f1;
    text-align: center;
    padding: 2rem;
    font-size: var(--normal-text-size);
    font-weight: var(--bold-font);
    background-color: lightgoldenrodyellow;
}

.footer-content {
    display: inline-flex;
    width: 100%;
    justify-content: center;
}

.footer-content-side {
    display: grid;
    text-align: left;
    width: 25%;
    align-content: baseline;
}

.footer-item {
    margin: 0.8vw;
    cursor: pointer;
    background: transparent;
    background: linear-gradient(to left, transparent 50%, var(--back-color) 50%)
        right;
    background-size: 200%;
    transition: 0.5s ease-out;
}

.footer-item:hover {
    background-position: left;
}

@media screen and (max-width: 750px) {
    .footer-content {
        display: block;
        width: 100%;
    }

    .footer-content-side {
        display: grid;
        margin: auto 20%;
        width: 100%;
        justify-content: flex-start;
    }

    label.footer-item {
        width: 100%;
        font-size: 3vw;
    }
}
